Skip to main content
Unlisted page
This page is unlisted. Search engines will not index it, and only users having a direct link can access it.

Demandbase

This documentation for the Demandbase integration describes the technical capabilities of this integration, including authorization, scopes/permissions, and utilized endpoints. For more information on how to integrate Demandbase, visit our connection instructions.

Version​

This integration utilizes the Demandbase Data Export API v1.

Base URL​

The base URL used for all Demandbase API endpoints:
https://uapi.demandbase.com/data/export/v1

Authentication & Authorization​

The DataGrail Demandbase integration connects using OAuth 2.0 with the following credentials: Client ID and Client Secret.

Sensitive Credentials
Publicly exposing your API credentials can allow unauthorized access to Demandbase API endpoints by a third party. DataGrail stores your API credentials encrypted and protected.

Demandbase connects via OAuth 2.0 Client Credentials.

To obtain an access token, DataGrail sends a POST request to the token endpoint with a JSON body containing:

  • grantType: client_credentials
  • clientId
  • clientSecret

The response includes a bearer accessToken valid for 8 hours, which DataGrail sends as Authorization: Bearer <accessToken> on subsequent requests.

Endpoints Utilized​

DataGrail uses the following endpoints to authorize and test the connection:


Limits​

Limits in Demandbase are calculated using the leaky bucket algorithm. All requests that are made after rate limits have been exceeded are throttled and an HTTP 429 Too Many Requests error is returned. Requests succeed again after enough requests have emptied out of the bucket.

  • DataGrail supports requests throttling to stay within 70-80% of specified service rate limits.
  • DataGrail processes API responses with HTTP 429 status to interrupt requests, waiting and retrying (using an exponential backoff strategy).

Capabilities​

Access​

DataGrail's Demandbase integration provides Asynchronous Access capabilities for the following supported identifier category: Email.

Data Interactions​

For Access requests, DataGrail will take the following actions:

  1. Submit a job to export all account list IDs, then poll and download the results.
  2. Fetch list of all available account and person fields.
  3. Submit jobs to export accounts and people across all account lists, filtered by the configured identifier.
  4. Poll and download the results of both jobs.
  5. Fetch list of all available activity fields.
  6. Submit jobs to export activities linked to the matched account and person IDs, limited to the most recent 90 days.
  7. Poll and download the results to complete the request.

Endpoints Utilized​

MethodEndpointPurposeDocs
POST/accountList/jobSubmit a job to export all account list IDs
GET/fieldsFetch list of all available fields for an entity type
POST/jobSubmit a job to export accounts, people, or activities
GET/job/{jobId}Poll job status and retrieve the results URL

 

Need help?
If you have any questions, please reach out to your dedicated Account Manager or contact us at support@datagrail.io.

Disclaimer: The information contained in this message does not constitute as legal advice. We would advise seeking professional counsel before acting on or interpreting any material.